#!/bin/sh

cd ~/silly-i18n/i18n-cvs/stable/kde-i18n/de/messages/
cvs up -dP
cd ~/silly-i18n/i18n-cvs/head/kde-i18n/de/messages/
cvs up -dP

cd ~/silly-i18n/kde-i18n-desn
make -f Makefile.stable
make -f Makefile.head

odir=$PWD

distdir=kde-i18n-de-silly-stable-current
dist=/tmp/$distdir
mkdir $dist
cp -r messages-stable $dist/messages
find $dist/messages/* -name *.po | xargs rm
cp -r l10n $dist
rm -rf $dist/l10n/CVS
cp Makefile.silly-i18n $dist
cd /tmp
tar cf $distdir.tar $distdir
gzip --best $distdir.tar
rm -rf $distdir
cd $odir

distdir=kde-i18n-de-silly-head-current
dist=/tmp/$distdir
mkdir $dist
cp -r messages-head $dist/messages/
find $dist/messages/* -name *.po | xargs rm
cp -r l10n $dist
rm -rf $dist/l10n/CVS
cp Makefile.silly-i18n $dist
cd /tmp
tar cf $distdir.tar $distdir
gzip --best $distdir.tar
rm -rf $distdir
cd $odir

