#!/bin/sh

dialect=$1

for i in $dialect/*.po; do
	j=`echo $i | cut -d "." -f 1`;
	if test -f $j.mo && [ `stat -c %Y $j.mo` -gt `stat -c %Y $i` ]; then
		echo "-- $i (cached)";
	else
		echo "-- $i";
		msgfmt -o $j.mo $i;
	fi
done

